Bug 1008363 - [RFE] Add support for resolving sun.jdk:jconsole
[RFE] Add support for resolving sun.jdk:jconsole
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: javapackages-tools (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 05:19 EDT by Marek Goldmann
Modified: 2013-09-23 05:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 05:40:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-09-16 05:19:43 EDT
Description of problem:

Using the %pom_add_dep JAVA_HOME:../lib/jconsole macro fails with:

DEBUG: [ERROR]   The project org.wildfly:wildfly-cli:8.0.0.Alpha4 (/builddir/build/BUILD/wildfly-8.0.0.Alpha4/cli/pom.xml) has 1 error
DEBUG: [ERROR]     'dependencies.dependency.artifactId' for JAVA_HOME:../lib/jconsole:jar with value '../lib/jconsole' does not match a valid id pattern. @ line 79, column 25

The issue was fixed in javapackages-tools 3.0.4-2.
Comment 1 Mikolaj Izdebski 2013-09-16 05:26:35 EDT
The real problem is that XMvn has no knowledge about sun.jdk:jconsole.
I will add appropriate configuration.
Comment 2 Mikolaj Izdebski 2013-09-16 05:29:07 EDT
Fixed in javapackages-tools-2.0.1-2
Comment 3 Fedora Update System 2013-09-16 05:37:51 EDT
javapackages-tools-2.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/javapackages-tools-2.0.1-2.fc20
Comment 4 Fedora Update System 2013-09-22 20:11:38 EDT
javapackages-tools-2.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Mikolaj Izdebski 2013-09-23 05:40:49 EDT
I believe that this bug is fixed in javapackages-tools-2.0.1-2,
which is available in Fedora 20, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=464798

Note You need to log in before you can comment on or make changes to this bug.